curl --request GET \
--url https://api.syntage.com/background-checks/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/background-checks/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/background-checks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"country": "MX",
"score": 85.5,
"status": "completed",
"scores": [
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"category": "criminal_record",
"score": 92.3,
"status": "clean",
"recordsCount": 3
}
],
"databaseStatuses": [
{
"id": "64ef1234-5678-9012-cdef-345678901234",
"database": {
"id": "55f01234-5678-9012-cdef-345678901234",
"name": "Mexico Criminal Records Database",
"country": "MX"
},
"category": "criminal_record",
"status": "completed"
}
],
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@context": "<unknown>",
"@id": "/background-checks/91ab5678-1234-5678-9abc-def012345678",
"@type": "BackgroundCheck"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a background check
Retrieves one background check, including its score, processing status, country scope, associated files, and links to related records.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Background Check
Unique background check ID
"91ab5678-1234-5678-9abc-def012345678"
Entity associated with the background check
"/entities/91ab5678-1234-5678-9abc-def012345678"
Country scope for the background check
MX, ALL "MX"
Overall score returned by the background check provider
85.5
Processing status for the background check
pending, completed, error "completed"
Scores returned for each background check category
Show child attributes
Show child attributes
Status information for each database checked by the provider
Show child attributes
Show child attributes
Files produced by the background check, including PDF reports when available
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Background Check IRI reference
"/background-checks/91ab5678-1234-5678-9abc-def012345678"
Was this page helpful?